02-osx.jpg

SpinOffice is compatible for Mac OS X 10 Yosemite


24th October – We just want to inform all our users around the globe that SpinOffice CRM is now compatible for OS X v10 Yosemite.

If you use an earlier Mac version, don’t worry! SpinOffice supports following older operating system versions: OS X v10.7 Lion, OS X v10.8 Mountain Lion and OS X v10.9 Mavericks.


← Go to previous article | Go to main Blog page | Go to next article →